<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9393
Name: MP Medicatietoediening identificatie
Description: 
         Identificatie van medicatietoediening. 
      
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000">
   <title>MP Medicatietoediening identificatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9393
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]
Item: (MPMTDIdentificatie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]"
         id="d42e544-false-d1967e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]) &gt;= 1">(MPMTDIdentificatie): element hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]) &lt;= 1">(MPMTDIdentificatie): element hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9393
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]
Item: (MPMTDIdentificatie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]"
         id="d42e574-false-d1984e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="string(@classCode) = ('SBADM')">(MPMTDIdentificatie): de waarde van classCode MOET 'SBADM' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="string(@moodCode) = ('EVN')">(MPMTDIdentificatie): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']) &gt;= 1">(MPMTDIdentificatie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']) &lt;= 1">(MPMTDIdentificatie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:id) &gt;= 1">(MPMTDIdentificatie): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:id) &lt;= 1">(MPMTDIdentificatie): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:code[(@code = '18629005' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(MPMTDIdentificatie): element hl7:code[(@code = '18629005' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:code[(@code = '18629005' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(MPMTDIdentificatie): element hl7:code[(@code = '18629005' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:consumable) &gt;= 1">(MPMTDIdentificatie): element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="count(hl7:consumable) &lt;= 1">(MPMTDIdentificatie): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9393
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']
Item: (MPMTDIdentificatie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']"
         id="d42e580-false-d2035e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MPMTDIdentificatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9393')">(MPMTDIdentificatie): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9393
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]/hl7:id
Item: (MPMTDIdentificatie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]/hl7:id"
         id="d42e585-false-d2049e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MPMTDIdentificatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="@root">(MPMTDIdentificatie): attribute @root MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(MPMTDIdentificatie): attribuut @root MOET datatype 'uid' hebben  - '<value-of select="@root"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(MPMTDIdentificatie): attribuut @extension MOET datatype 'st' hebben  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9393
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]/hl7:code[(@code = '18629005' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (MPMTDIdentificatie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]/hl7:code[(@code = '18629005' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e592-false-d2069e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(MPMTDIdentificatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="@nullFlavor or (@code='18629005' and @codeSystem='2.16.840.1.113883.6.96')">(MPMTDIdentificatie): de elementwaarde MOET een zijn van 'code '18629005' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(MPMTDIdentificatie): attribuut @displayName MOET datatype 'st' hebben  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(MPMTDIdentificatie): attribuut @codeSystemName MOET datatype 'st' hebben  - '<value-of select="@codeSystemName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9393
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]/hl7:consumable
Item: (MPMTDIdentificatie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9393']]/hl7:consumable"
         id="d42e608-false-d2091e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cio/cio-html-20230424T150542/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9393-2021-07-01T000000.html"
              test="string(@xsi:nil) = ('true')">(MPMTDIdentificatie): de waarde van xsi:nil MOET 'true' zijn. Gevonden: "<value-of select="@xsi:nil"/>"</assert>
   </rule>
</pattern>
